Bug 1000886 - Search and Replace on source says "Replaced x with y" when nothing was done
Search and Replace on source says "Replaced x with y" when nothing was done
Status: CLOSED WORKSFORME
Product: Zanata
Classification: Community
Component: Component-Logic (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: zanata-dev-internal
Zanata-QA Mailling List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-25 23:50 EDT by Damian Jansen
Modified: 2014-07-23 23:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-23 23:45:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damian Jansen 2013-08-25 23:50:42 EDT
Description of problem:
Performing a project-wide search and replace where source documents are the only matches shows "[13:19:20] Replaced "word" with "replaceword" in <number> text flows.  Curiously, inspection of these source-target pairs shows the user has created an "untranslated version".

Version-Release number of selected component (if applicable):
3.0

How reproducible:
Moderate, consistent

Steps to Reproduce:
1. Go to any project translation editor
2. Click on the magnifying glass
3. Enter a word into the Search input that exists in the project
4. Click the select all checkbox
5. Enter some word into the Replace input
6. Press Replace

Actual results:
After a few seconds, the logs indicate the words were replaced.

Expected results:
It should indicate no words were replaced.

Additional info:
Comment 1 David Mason 2013-08-26 01:20:50 EDT
This may also cause the use to create a new revision on matches that were translated but did not contain the matching word in the translation, or when the replacement term is the same as the search term. These scenarios should be considered when addressing this bug.
Comment 2 Damian Jansen 2014-07-23 23:45:28 EDT
Changed at some point, the message "No replacements to make" is displayed.

Note You need to log in before you can comment on or make changes to this bug.